<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 12.03.2015
 */
namespace skeeks\modules\cms\slider\controllers;
use skeeks\cms\modules\admin\controllers\AdminModelEditorSmartController;
use skeeks\modules\cms\slider\models\Slide;

/**
 * Class AdminPropertiesProductController
 * @package skeeks\modules\cms\catalog\controllers
 */
class AdminSlideController extends AdminModelEditorSmartController
{
    public function init()
    {
        $this->_label                   = "Управление слайдами";
        $this->_modelShowAttribute      = "name";
        $this->_modelClassName          = Slide::className();
        $this->modelValidate            = true;
        $this->enableScenarios          = true;
        parent::init();
    }
}