
<?php

use yii\helpers\Html;
use skeeks\cms\modules\admin\widgets\form\ActiveFormStyled as ActiveForm;
use skeeks\cms\models\Tree;
use skeeks\cms\modules\admin\widgets\Pjax;

/* @var $this yii\web\View */
/* @var $model Tree */
?>

<?php $form = ActiveForm::begin(); ?>

<?= $form->field($model, 'image')->widget(
        \skeeks\cms\modules\admin\widgets\formInputs\StorageImages::className(),
        [
            'fileGroup' => 'image',
        ]
    )->label('Главное изображение'); ?>

<? if (\Yii::$app->request->get("slider_id")) : ?>
    <?= $form->field($model, 'slider_id')->hiddenInput([
        'value' => (int) \Yii::$app->request->get("slider_id")
    ])->label(false); ?>

<? else: ?>
    <?= $form->field($model, 'slider_id')->widget(
        \skeeks\widget\chosen\Chosen::className(), [
                'items' => \yii\helpers\ArrayHelper::map(
                     \skeeks\modules\cms\slider\models\Slider::find()->all(),
                     "id",
                     "name"
                 ),
        ]);
    ?>
<? endif; ?>


<?= $form->field($model, 'name')->textInput(['maxlength' => 255]) ?>
<?= $form->field($model, 'description')->textarea() ?>
<?= $form->field($model, 'url')->textInput(['maxlength' => 255]) ?>
<?= $form->field($model, 'priority')->textInput(['maxlength' => 255]) ?>

<?= $form->buttonsCreateOrUpdate($model); ?>

<?php ActiveForm::end(); ?>




