<?php

use yii\helpers\Html;
use skeeks\cms\modules\admin\widgets\form\ActiveFormUseTab as ActiveForm;
use skeeks\cms\models\Tree;
use skeeks\cms\modules\admin\widgets\Pjax;

/* @var $this yii\web\View */
/* @var $model Tree */
?>

<?php $form = ActiveForm::begin(); ?>


<?= $form->fieldSet('Основное'); ?>
    <?= $form->field($model, 'name')->textInput(['maxlength' => 255]) ?>
<?= $form->fieldSetEnd(); ?>

<?= $form->fieldSet('Слайды'); ?>
    <?= \skeeks\cms\modules\admin\widgets\RelatedModelsGrid::widget([
        'label'             => "Слайды",
        'hint'             => "Вы можете менять порядок слайдов, просто перетаскивая их мышкой.",
        'parentModel'       => $model,
        'relation'          => [
            'slider_id' => 'id'
        ],
        'sort'              => [
            'defaultOrder' =>
            [
                'priority' => SORT_DESC
            ]
        ],
        'controllerRoute'   => 'slider/admin-slide',
        'gridViewOptions'   => [
            'sortable' => true,
            'columns' => [
                //['class' => 'yii\grid\SerialColumn'],

                ['class' => \skeeks\cms\grid\ImageColumn::className()],
                'name',
                'priority',


            ],
        ],
    ]); ?>
<?= $form->fieldSetEnd(); ?>


<?= $form->buttonsCreateOrUpdate($model); ?>




<?php ActiveForm::end(); ?>






