<?php
/**
 * index
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 30.10.2014
 * @since 1.0.0
 */
use skeeks\cms\modules\admin\widgets\GridView;

/* @var $this yii\web\View */
/* @var $searchModel \skeeks\cms\models\Search */
/* @var $dataProvider yii\data\ActiveDataProvider */

$dataProvider->setSort(['defaultOrder' => [
    'slider_id' => SORT_DESC,
    'priority'  => SORT_DESC
]])
//$dataProvider->query->orderBy('published_at DESC');
?>

<?= GridView::widget([
    'dataProvider'  => $dataProvider,
    'filterModel'   => $searchModel,
    'columns' => [
        ['class' => 'yii\grid\SerialColumn'],

        [
            'class'         => \skeeks\cms\modules\admin\grid\ActionColumn::className(),
            'controller'    => $controller
        ],

        ['class' => \skeeks\cms\grid\ImageColumn::className()],

        'name',
        'priority',

        [
            'class'     => \yii\grid\DataColumn::className(),
            'value'     => function(\skeeks\modules\cms\slider\models\Slide $model)
            {
                return $model->fetchSlider()->name;
            },
            'format' => 'html',
            'attribute' => 'slider_id'
        ],
    ],
]); ?>

